#/bin/sh

# Find Drsosophila melanogaster genes with no more than 3 exons:

head -100 dmgenes.gff | mmsearch -i gff '<gene#1 = (exon){,3} = gene>#1'

# We do this on the first 100 lines of dmgenes.gff, because a search
# on the full length of the GFF database takes much longer - about 4'20"
# on my machine. The unusually long time is due to the () operator,
# and to the fact that one cannot, like in proteins, use the ^ to speed
# things up, les we miss all but the first gene in a particular entry.
