#/bin/sh

# Find overlapping genes in dmgenes.gff

mmsearch < dmgenes.gff -i gff -o 'pff det' '<gene = <gene = gene> = gene>'

# This targets arrangements such as this:
#
#           <---------- gene1 ---------->
#                          <--------- gene2 ----------- >
#
# and this:
#
#           <---------- gene1 ---------->
#              <---- gene2 ---->
#
# Note that this does not distinguish between same-strand and
# cross-strand overlaps. See xs_overlaps and ss_overlaps for this.
