#/bin/sh

# Find all Drsosophila melanogaster genes in 'dmgenes.gff', and count
# them. We use the 'pff' outpout option so that each gene produces
# exactly one line of output. 

mmsearch < dmgenes.gff -i gff -o pff '<gene#1 = gene>#1' | wc -l

# The result should be 120. Bearing in mind that dmgenes.gff is about
# 1/100 of the fly genome, this gives an estimate of 12,000 genes (the
# actual number is thought to be about 13,000).
